For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payments Order

Query the status and details of a specific payments order by its product transaction rampId.

Rate Limits & Usage

This endpoint is rate-limited to 10 requests per minute.

Order status updates are delivered to merchant developers in real time via Webhooks callback and are also reflected in real time within the CoindPay Checkout interface. Therefore, in most cases, merchants do not need to actively poll this endpoint for real-time order status updates.


API

GET /payment/order

Example:

GET {API_DOMAIN}/payment/order?rampId=0xabc123dd

API_DOMAIN Environment

Query Params

Name
Type
Required
Description

rampId

string*

✅ Required

Unique merchant transaction id merchant_transaction_id

Authentication Headers

API requests are rate-limited. Please avoid excessive calls.

Name
Type
Required
Description

x-appid

string*

✅ Required

Your merchant appid

x-signature

string*

✅ Required

HMAC-SHA256 signature generated from your API Secret

Generating the Signature

The x-signature is generated by signing your appid with your API Secret using HMAC-SHA256.

  1. This endpoint supports both crypto and fiat payments, and the rampId value must be globally unique.

  2. The rampId represents the unique merchant_transaction_id used for transactions between the developer and the consumer, and is stored in the database as rampId.


Request

Response

Success response

Full Order Fields

Field
Type
Description

id

string*

Unique payment Id

uuid

string*

Internal Id of the payee (receiver) for webhooks data-key appid

payeeId

string*

Product or service Id

rampId

string?

Order ID that is paid for through Ramps service provider(The merchant_transaction_id provided by the merchants)

name

string?

Payer name (optional)

email

string*

Payer email (optional)

message

string?

Payment memo (optional)

payer

string*

Payer wallet (crypto or fiat-stablecoin settlement type)

payMethod

string?

Fiat payment method type (e.g., apple/google/card...)

rampType

string?

Payment type (pay/buy/sell) through multi-provider

rampStatus

string?

Order status of payment completed through bank or on-chain service.

rampFeedback

string?

Order exception or failure tips (returned by certain banks; in most cases this field may be empty)

fiatCoin

string?

Fiat currency code (e.g., USD)

fiatAmount

float?

Fiat amount paid (if any)

usd

float?

USD-pegged pay-in amount (auto-converted using real-time exchange rates)

amount

float*

Settled token amount after applicable payment processing, gateway, network, and platform fees have been deducted, but before any reserve requirements are applied.

reserveAmount

float?

The reserve amount held for merchants with reserves enabled.

afterReserveAmount

float?

Final settled token amount after applicable reserve deductions. If no reserve requirements apply, this field may be omitted or equal to amount

chain

string*

Blockchain name (e.g., solana, ethereum)

symbol

string*

Token symbol (e.g., USDT, USDC)

contract

string?

Contract address of the token (Used in crypto payments or exchanges type)

signature

string*

The fiat currency to crypto exchange process has been completed, with a unique on-chain hash.

settledAt

date?

Order Settlement Timestamp

createdAt

date*

Order Creation Timestamp

updatedAt

date*

Order Update Timestamp


Error response

404 - Not found

401 - Invalid signature


Notes

  • It works with both on-chain and off-chain payments (crypto, ramps, card, etc.)

  • If no payment is found for the given signature and rampId, ok will be false

  • The rampId refers to the unique merchant_transaction_id generated by the developer or merchant for a consumer.

  • Please use real payment id and other params to integrate and test the API.

Last updated